com.tibbo.aggregate.common.util

## Class Aggregation

- java.lang.Object
- - com.tibbo.aggregate.common.util.Aggregation

-     public class Aggregation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AVERAGE`
    `static int` | `FIRST`
    `static int` | `FIRST_DATE`
    `static int` | `LAST`
    `static int` | `LAST_DATE`
    `static int` | `MAXIMUM`
    `static int` | `MAXIMUM_DATE`
    `static int` | `MINIMUM`
    `static int` | `MINIMUM_DATE`
    `static int` | `SUMMATION`
    `static int` | `TOTAL_COUNT`
    `static int` | `VALID_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Aggregation()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.Object,java.lang.String>` | `getSelectionValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AVERAGE

          public static final int AVERAGE

      See Also:
        Constant Field Values

    - #### MINIMUM

          public static final int MINIMUM

      See Also:
        Constant Field Values

    - #### MAXIMUM

          public static final int MAXIMUM

      See Also:
        Constant Field Values

    - #### SUMMATION

          public static final int SUMMATION

      See Also:
        Constant Field Values

    - #### FIRST

          public static final int FIRST

      See Also:
        Constant Field Values

    - #### LAST

          public static final int LAST

      See Also:
        Constant Field Values

    - #### FIRST_DATE

          public static final int FIRST_DATE

      See Also:
        Constant Field Values

    - #### LAST_DATE

          public static final int LAST_DATE

      See Also:
        Constant Field Values

    - #### TOTAL_COUNT

          public static final int TOTAL_COUNT

      See Also:
        Constant Field Values

    - #### VALID_COUNT

          public static final int VALID_COUNT

      See Also:
        Constant Field Values

    - #### MINIMUM_DATE

          public static final int MINIMUM_DATE

      See Also:
        Constant Field Values

    - #### MAXIMUM_DATE

          public static final int MAXIMUM_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Aggregation

          public Aggregation()

  - ### Method Detail

    - #### getSelectionValues

          public static java.util.Map<java.lang.Object,java.lang.String> getSelectionValues()